package com.dahantc.sms.demo;

import com.dahantc.sms.sdk.SmsResult;
import com.dahantc.sms.sdk.SmsSdk;
import com.dahantc.sms.sdk.TemplateSms;

/**
 * 短信发送SDK（本代码是基于jdk 1.8版本编写,只支持“UTF-8”编码）
 * @author wuhandahantc
 * @date 2019/1/2 9:57
 **/
public class SendSmsDemo {

	public static void main(String[] args) {
	     // 短信接口调用说明(支持国际短信)
	     // 假设您想给手机号159xxxx1234发送一条短信，
	     // 您打算使用的模板ID为1，对应模板内容为："您好，您的手机验证码是：{1}"
	     // 给这个模板传入的参数为123456，则调用方式为：
	     // sendSms("159xxxx1234", "1", ['123456']);
	     // 最终收到的短信内容为："【云通讯】您好，您的手机验证码为：123456" （参数只支持 UTF-8 编码）
		SendSmsDemo.sendSms("159xxxx1234", "1", new String[]{"123456"});
	}
	
	/**
	 * 发送短信
	 * @param to 短信接收号码，多个号码以英文逗号“,”分隔
	 * @param tempId 模板id
	 * @param datas 参数（用于替换模板中的参数）
	 * @date 2019/1/2 10:52
	 **/
	public static void sendSms(String to, String tempId, String[] datas) {
		// 初始化SDK
		SmsSdk smsSdk = new SmsSdk();
		//帐户参数配置
		//用户登录之后在开发者控制台【首页】寻找以下配置参数：
		//AccountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
		//AuthToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
		//ApiUrl: API调用路径，对应着开发者后台中的API URL(一般不用修改)
		//AppId: 应用ID，对应开发者控制台【应用管理】中的某个APPS ID
	    smsSdk.setAccountSid("ef7de10b078************");
	    smsSdk.setAuthToken("92323d68a296************");
	    smsSdk.setApiUrl("https://sms.dahancloud.com/");
	    smsSdk.setAppId("e8acc5267b0e466*************");
	     // 发送模板短信
	     // to 手机号码，多个手机号码需用英文逗号分开
	     // tempId 模板ID，对应开发者后台中的模板编号
	     // datas 替换内容，格式为数组，例如：new String[]{"123456"}
		SmsResult result = smsSdk.sendSms(to, tempId, datas);
		System.out.println(result);                                                                                                                                                                                                                                                                                                                                                                                            
		if ("000000".equals(result.getStatusCode())) {
			TemplateSms templateSms = result.getTemplateSms();
			// 发送成功
			System.out.println("dateCreated: " + templateSms.getDateCreated());
			System.out.println("smsMessageSid: " + templateSms.getSmsMessageSid());

			//TODO 成功处理
			
		} else {
			// 发送失败
			System.out.println("错误码=" + result.getStatusCode() + " 错误信息= " + result.getStatusMsg());
			
			//TODO 错误处理
			
		}
	}
}