package com.dahantc.sms.sdk;

import java.io.Serializable;

/**
 * 短信提交结果
 * @author wuhandahantc
 * @date 2019/1/2 9:57
 **/
public class SmsResult implements Serializable {

	private static final long serialVersionUID = -3821939424344804885L;
	/**
	 * 状态码
	 */
	private String statusCode;
	/**
	 * 状态消息
	 */
	private String statusMsg;
	/**
	 * 内容信息
	 */
	private TemplateSms templateSms;

	public String getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}

	public String getStatusMsg() {
		return statusMsg;
	}

	public void setStatusMsg(String statusMsg) {
		this.statusMsg = statusMsg;
	}

	public TemplateSms getTemplateSms() {
		return templateSms;
	}

	public void setTemplateSms(TemplateSms templateSms) {
		this.templateSms = templateSms;
	}

	/**
	 * 错误返回状态
	 * @param code 状态码
	 * @param msg 消息
	 * @date 2019/1/2 10:21
	 * @return com.dahantc.sms.sdk.SmsResult
	 **/
	public static SmsResult err(String code,String msg){
		SmsResult smsResult = new SmsResult();
		smsResult.setStatusCode(code);
		smsResult.setStatusMsg(msg);
		return smsResult;
	}

	@Override
	public String toString() {
		return "SmsResult{" +
				"statusCode='" + statusCode + '\'' +
				", statusMsg='" + statusMsg + '\'' +
				", templateSms=" + templateSms +
				'}';
	}
}
